Cannot install wordress: Call to undefined method PHosting_Apache

Created:

2016-11-16 12:48:46 UTC

Modified:

2017-08-16 16:50:58 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Cannot install wordress: Call to undefined method PHosting_Apache

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk 11.x for Linux
  • Plesk 12.0 for Linux

Symptoms

The following error message occurs during an attempt to create a subscription or access to existing subscription settings:

ERROR: Call to undefined method PHosting_Apache::getPHPIni() (Apache.php:882)

OR

It is not possible to install Wordpress via Application Vault for domain

ERROR: Call to undefined method PHosting_Apache::getPHPCliPath() (Adapter.php:134)

Cause

Exact root cause is not clear. Looks like MUs were not installed during Plesk deployment.

Resolution

Run autoinstaller and update all the packages:

 # plesk installer --select-release-current --upgrade-installed-components
Have more questions? Submit a request
Please sign in to leave a comment.